petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecDotNorm2

computes the inner product of two vectors and the 2-norm squared of the second vector

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecDotNorm2(Vec s,Vec t,PetscScalar *dp, PetscReal *nm)

Collective on Vec Many br

### Input Parameter

| s | - first vector Many br
| t | - second vector Many br

### Output Parameter

| dp | - s'conj(t) Many br
| nm | - t'conj(t) Many br

Many br

Notes: conj(x) is the complex conjugate of x when x is complex Many br

### See Also

VecDot(), VecNorm(), VecDotBegin(), VecNormBegin(), VecDotEnd(), VecNormEnd()

### Keywords

vector, sqrt, square root

Level:advanced
Location:src/vec/vec/utils/vinv.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages